Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xssf.usermodel.charts
Class XSSFChartAxis

    java.lang.Object
      org.apache.poi.xssf.usermodel.charts.XSSFChartAxis

All Implemented Interfaces:
  org.apache.poi.ss.usermodel.charts.ChartAxis

Direct Known Subclasses:
  XSSFValueAxis

    public abstract class XSSFChartAxis

extends java.lang.Object
implements org.apache.poi.ss.usermodel.charts.ChartAxis

Base class for all axis types.

Author:
  Roman Kashitsyn

Method Summary
`org.apache.poi.ss.usermodel.charts.AxisCrosses` | `getCrosses()`
`double` | `getLogBase()`
`double` | `getMaximum()`
`double` | `getMinimum()`
`java.lang.String` | `getNumberFormat()`
`org.apache.poi.ss.usermodel.charts.AxisOrientation` | `getOrientation()`
`org.apache.poi.ss.usermodel.charts.AxisPosition` | `getPosition()`
`boolean` | `isSetLogBase()`
`boolean` | `isSetMaximum()`
`boolean` | `isSetMinimum()`
`void` | `setCrosses(org.apache.poi.ss.usermodel.charts.AxisCrosses crosses)`
`void` | `setLogBase(double logBase)`
`void` | `setMaximum(double max)`
`void` | `setMinimum(double min)`
`void` | `setNumberFormat(java.lang.String format)`
`void` | `setOrientation(org.apache.poi.ss.usermodel.charts.AxisOrientation orientation)`
`void` | `setPosition(org.apache.poi.ss.usermodel.charts.AxisPosition position)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.poi.ss.usermodel.charts.ChartAxis
`crossAxis, getId`

Method Detail

### getPosition

    public org.apache.poi.ss.usermodel.charts.AxisPosition getPosition()

  Specified by:
    `getPosition` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### setPosition

    public void setPosition(org.apache.poi.ss.usermodel.charts.AxisPosition position)

  Specified by:
    `setPosition` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### setNumberFormat

    public void setNumberFormat(java.lang.String format)

  Specified by:
    `setNumberFormat` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### getNumberFormat

    public java.lang.String getNumberFormat()

  Specified by:
    `getNumberFormat` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### isSetLogBase

    public boolean isSetLogBase()

  Specified by:
    `isSetLogBase` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### setLogBase

    public void setLogBase(double logBase)

  Specified by:
    `setLogBase` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### getLogBase

    public double getLogBase()

  Specified by:
    `getLogBase` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### isSetMinimum

    public boolean isSetMinimum()

  Specified by:
    `isSetMinimum` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### setMinimum

    public void setMinimum(double min)

  Specified by:
    `setMinimum` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### getMinimum

    public double getMinimum()

  Specified by:
    `getMinimum` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### isSetMaximum

    public boolean isSetMaximum()

  Specified by:
    `isSetMaximum` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### setMaximum

    public void setMaximum(double max)

  Specified by:
    `setMaximum` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### getMaximum

    public double getMaximum()

  Specified by:
    `getMaximum` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### getOrientation

    public org.apache.poi.ss.usermodel.charts.AxisOrientation getOrientation()

  Specified by:
    `getOrientation` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### setOrientation

    public void setOrientation(org.apache.poi.ss.usermodel.charts.AxisOrientation orientation)

  Specified by:
    `setOrientation` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### getCrosses

    public org.apache.poi.ss.usermodel.charts.AxisCrosses getCrosses()

  Specified by:
    `getCrosses` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

### setCrosses

    public void setCrosses(org.apache.poi.ss.usermodel.charts.AxisCrosses crosses)

  Specified by:
    `setCrosses` in interface `org.apache.poi.ss.usermodel.charts.ChartAxis`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD